## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

%global repo dde-wayland

Name:           deepin-wayland
Version:        1.0.0
Release:        %autorelease
Summary:        Deepin Wayland libraries

License:        GPLv3+
URL:            https://github.com/linuxdeepin/%{repo}
Source0:        %{url}/archive/%{version}/%{repo}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  qt5-qtwayland-devel
BuildRequires:  wayland-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  libxkbcommon-devel


%description
This package provides Wayland libraries with Deepin customization.

%package devel
Summary:        Development package for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description devel
Header files and libraries for %{name}.

%prep
%autosetup -p1 -n %{repo}-%{version}


%build
%qmake_qt5 LIB_INSTALL_DIR=%_libdir
%make_build


%install
%make_install INSTALL_ROOT=%buildroot


%files
%{_libdir}/lib%{repo}-client.so.0*
%{_libdir}/lib%{repo}-server.so.0*

%files devel
%{_libdir}/lib%{repo}-client.so
%{_libdir}/lib%{repo}-server.so
%{_includedir}/%{repo}-client/
%{_includedir}/%{repo}-server/
%{_libdir}/pkgconfig/%{repo}-client.pc
%{_libdir}/pkgconfig/%{repo}-server.pc


%changelog
* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jul 14 2022 Jan Grulich <jgrulich@redhat.com> 1.0.0-5
- Rebuild (qt5)

* Tue May 17 2022 Jan Grulich <jgrulich@redhat.com> 1.0.0-4
- Rebuild (qt5)

* Tue Mar 08 2022 Jan Grulich <jgrulich@redhat.com> 1.0.0-3
- Rebuild (qt5)

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 06 2021 Robin Lee <cheeselee@fedoraproject.org> 1.0.0-1
- Initial import
